# Pledge Levels Pledge Levels ## Gets all of the pledge levels in the system. - [GET /pledgeLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/listpledgelevels.md): This method will scan all pledge levels and and return them to the caller. ## Creates a new pledge level record that does not already exist. - [POST /pledgeLevels/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/createpledgelevel.md): This method will auto-generate an ID and create a new pledge level. If an ID is specified for the pledge level, an error will be thrown. ## Returns a pledge level from the system by its ID. - [DELETE /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/deletepledgelevel.md): This method will delete a pledge level with the specified ID. ## Returns a pledge level from the system by its ID. - [GET /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/getpledgelevel.md): This method will look up a pledge level by the specified ID and return it back. ## Partially updates a pledge level with the specified ID. - [PATCH /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/patchpledgelevel.md): This method will patch an existing pledge level with the specified ID, using the HTTP PATCH specification. ## Updates a pledge level with the specified ID. - [PUT /pledgeLevels/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/pledge-levels/updatepledgelevel.md): This method will update an existing pledge level with the specified ID.